package com.samelement.iot_notification.service;

import android.app.NotificationManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.samelement.iot_notification.screen.IntentKey;

public class AlertCancelReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        if (action != null) {
            if (action.equals(IntentKey.DISMISS_ACTION)) {
                int notificationId = intent.getIntExtra(IntentKey.KEY_NOTIF_ID, -1);
                NotificationManager notificationManager = (NotificationManager)
                        context.getSystemService(Context.NOTIFICATION_SERVICE);
                if (notificationManager != null && notificationId >= 0) {
                    notificationManager.cancel(notificationId);
                }
            }
        }
    }
}
